Four scenarios automate parts of the computation of the flow and are either triggered through the [Dataiku Application](article:7) or the [Webapp](article:8).

![Scenarios.png](Mlbh2WN58LGT)

- [Data Upload](scenario:DATAUPLOAD): Loads the logs that have been dragged and dropped through the Dataiku Application.
- [Instantiate Flow](scenario:INSTANTIATEFLOW): Copies the local variables set in the Dataiku Application into the global variables directory, allowing the project to execute. Finishes by then running the [Rebuild Flow](scenario:Rebuild_Flow) scenario. 
- [Rebuild Flow](scenario:Rebuild_Flow): Rebuild the Flow after competion of Parsing, this scenario is called by the [Dataiku Application](article:7) and runs the precalculations necessary to create the visualizations in the [Interactive Process Mining webapp](web_app:TsaekAO). This scenario is also called via the [webapp](web_app:TsaekAO) when pushing the 'Push to Flow' button.
- [Rebuild All](scenario:REBUILDALL): Launches successively [Instantiate Flow](scenario:INSTANTIATEFLOW) then [Run Conformance Checks](scenario:RUNCONFORMANCECHECKS) then [Run Reporting](scenario:RUNREPORTING) to check that the whole flow runs properly, used for testing and debugging.
- [Reconfigure Flow Connections](scenario:RECONFIGUREFLOWCONNECTIONS): Reconfigures all the flow dataset connections to the one selected in the Dataiku Application.
- [Restart Webapp Backend](scenario:RESTARTWEBAPPBACKEND): Restarts the Webapp Backend, can be triggered with a time trigger to restart the webapp regularly and make sure it running.
- [Run Conformance Checks](scenario:RUNCONFORMANCECHECKS): Run conformance checks for all processes saved in the [saved_processes folder](managed_folder:1rhVX912). This scenario is triggered through the 'Run Conformance Checks' button from the webapp in the [Conformance Checks Tab](article:14).
- [Run Reporting](scenario:RUNREPORTING): Computes the reporting part of the flow using the selected process in the dropdown located in the Dataiku Application.